Skip to main content
POST
/
v1
/
table
/
{id}
/
query
Error
A valid request URL is required to generate request examples
"<string>"
{
  "type": "/errors/bad-request",
  "title": "Malformed request",
  "status": 400,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/unauthorized-request",
  "title": "No valid authentication credentials for the operation",
  "status": 401,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/forbidden-request",
  "title": "Not authorized to make this request",
  "status": 403,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/not-found-error",
  "title": "Not found Error",
  "status": 404,
  "detail": "",
  "instance": "/v1/namespaces/{ns}"
}
{
  "type": "/errors/service-unavailable",
  "title": "Slow down",
  "status": 503,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/server-error",
  "title": "Internal Server Error",
  "status": 500,
  "detail": "",
  "instance": "/v1/namespaces"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json

Query request

k
integer
required

Number of results to return

Required range: x >= 0
vector
object | null
required

Query vector(s) for similarity search. Provide either single_vector or multi_vector, not both.

identity
object

Identity information of a request.

context
object

Arbitrary context as key-value pairs. How to use the context is custom to the specific implementation.

On a request, it carries caller-provided context to the implementation. On a response, it carries implementation-provided context back to the caller.

REST NAMESPACE ONLY Context entries are mapped to and from HTTP headers using the header. prefix:

  • On a request, any entry whose key starts with header. is sent as an HTTP request header with the prefix stripped. For example, the entry {"header.Authorization": "Bearer abc"} is sent as the request header Authorization: Bearer abc.
  • On a response, every HTTP response header is returned as an entry whose key is the header name prefixed with header.. For example, the response header x-request-id: abc123 is returned as the entry {"header.x-request-id": "abc123"}.
id
string[]
branch
string

Branch to target. When not specified, the main branch is used.

bypass_vector_index
boolean

Whether to bypass vector index

columns
object | null

Optional field paths to return. Provide either column_names or column_aliases, not both.

distance_type
string

Distance metric to use

ef
integer

Search effort parameter for HNSW index

Required range: x >= 0

Whether to use fast search

filter
string

Optional SQL filter expression. Field references in the expression must use Lance field path syntax: nested fields use dot-separated segments, literal dots require backtick-quoted segments, and backticks inside quoted segments are doubled.

full_text_query
object | null

Optional full-text search query. Provide either string_query or structured_query, not both.

lower_bound
number<float>

Lower bound for search

nprobes
integer

Number of probes for IVF index

Required range: x >= 0
offset
integer

Number of results to skip

Required range: x >= 0
prefilter
boolean

Whether to apply filtering before vector search

refine_factor
integer<int32>

Refine factor for search

Required range: x >= 0
upper_bound
number<float>

Upper bound for search

vector_column
string

Lance field path of the vector field to search. Nested fields use dot-separated segments; use backtick-quoted segments for literal dots and double backticks inside quoted segments. Use canonical full paths for display and errors; leaf names alone only identify top-level fields; invalid or unresolved paths should return InvalidInput or TableColumnNotFound.

Minimum string length: 1
version
integer<int64>

Table version to query

Required range: x >= 0
with_row_id
boolean

If true, return the row id as a column called _rowid

Response

Query results in Arrow IPC file format

The response is of type file.